Issue 1107 - freetype include not found in base
freetype include not found in base
Status: CLOSED IRREPRODUCIBLE
Product: porting
Classification: Code
Component: documentation
632
SGI IRIX
: P3 trivial (vote)
: ---
Assigned To: sander_traveling
issues@www
:
Depends on:
Blocks: 1209
  Show dependency treegraph
 
Reported: 2001-06-26 02:44 UTC by issues@www
Modified: 2003-12-06 14:52 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
external/freetype/rtufiles/base_makefile.mk : Patch to fix includes (600 bytes, patch)
2003-12-06 14:52 UTC, issues@www
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description issues@www 2001-06-26 02:44:22 UTC
When building external/freetype, it is unable to find ft2build.h in src/base.

mkout -- version: 1.3
------------------------------
Making: ../../../../unxirxm3.pro/misc/freetype.dpc
Making : Dependencies
touch ../../../../unxirxm3.pro/misc/freetype.dpc
------------------------------
Making: ../../../../unxirxm3.pro/slo/ftbase.obj
gcc -I. -I. -I../inc -I../../../../inc -I../../../../unx/inc -
I../../../../unxirxm3.pro/inc -I. -
I/projects/sise/openoffice/devel/workpits/OO632B_GNUD/workarea/solver/632/unxirx
m3.pro/inc -
I/projects/sise/openoffice/devel/workpits/OO632B_GNUD/workarea/solver/632/unxirx
m3.pro/inc/external -
I/projects/sise/openoffice/devel/workpits/OO632B_GNUD/workarea/solenv/unxirxm3/i
nc -I/projects/sise/openoffice/devel/workpits/OO632B_GNUD/workarea/solenv/inc -
I/projects/sise/openoffice/devel/workpits/OO632B_GNUD/workarea/res   -
I/usr/include/CC/dont_use_stlport -
I/projects/sise/openoffice/devel/workpits/OO632B_GNUD/workarea/solenv/inc/Xp31 -
I/projects/sise/openoffice/devel/workpits/java_1.2.2/usr/java//include -
I/projects/sise/openoffice/devel/workpits/java_1.2.2/usr/java//include/irix -
I/projects/sise/openoffice/devel/workpits/java_1.2.2/usr/java//include/native_th
reads/include         -I. -I../../../../res -I. -g -O   -c  -fpic -DIRIX -DUNX -
DVCL -DGCC -DC295 -DMIPS -DUSE_PSPRINT -DTF_UCB -DENABLEUNICODE -DTF_FILTER -
DCVER=C295 -D_USE_NAMESPACE -DVCL -D_STD_NO_NAMESPACE -D_VOS_NO_NAMESPACE -
D_UNO_NO_NAMESPACE -D__DMAKE -DUNIX -DSUPD=632 -DBUILD=6483 -DSOLAR_PLUGIN -
DVCL -DSO3 -DDEBUG -D_DEBUG -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DEXCEPTIONS_OFF -
DGUI  -DSRC632  -DTF_ONE51 -DSHAREDLIB -D_DLL_  -DMULTITHREAD -
o ../../../../unxirxm3.pro/slo/ftbase.o ftbase.c
ftbase.c:19: ft2build.h: No such file or directory
In file included from ftbase.c:23:
ftcalc.c:35: ft2build.h: No such file or directory
ftcalc.c:36: `#include' expects "FILENAME" or <FILENAME>
ftcalc.c:37: `#include' expects "FILENAME" or <FILENAME>
ftcalc.c:38: `#include' expects "FILENAME" or <FILENAME>
In file included from ftbase.c:24:
ftobjs.c:19: ft2build.h: No such file or directory
ftobjs.c:20: `#include' expects "FILENAME" or <FILENAME>
ftobjs.c:21: `#include' expects "FILENAME" or <FILENAME>
ftobjs.c:22: `#include' expects "FILENAME" or <FILENAME>
ftobjs.c:23: `#include' expects "FILENAME" or <FILENAME>
ftobjs.c:24: `#include' expects "FILENAME" or <FILENAME>
In file included from ftbase.c:25:
ftstream.c:19: ft2build.h: No such file or directory
ftstream.c:20: `#include' expects "FILENAME" or <FILENAME>
ftstream.c:21: `#include' expects "FILENAME" or <FILENAME>
In file included from ftbase.c:26:
ftlist.c:26: ft2build.h: No such file or directory
ftlist.c:27: `#include' expects "FILENAME" or <FILENAME>
ftlist.c:28: `#include' expects "FILENAME" or <FILENAME>
ftlist.c:29: `#include' expects "FILENAME" or <FILENAME>
In file included from ftbase.c:27:
ftoutln.c:26: ft2build.h: No such file or directory
ftoutln.c:27: `#include' expects "FILENAME" or <FILENAME>
ftoutln.c:28: `#include' expects "FILENAME" or <FILENAME>
In file included from ftbase.c:28:
ftnames.c:22: ft2build.h: No such file or directory
ftnames.c:23: `#include' expects "FILENAME" or <FILENAME>
ftnames.c:24: `#include' expects "FILENAME" or <FILENAME>
dmake:  Error code 1, while making '../../../../unxirxm3.pro/slo/ftbase.obj'
---* TG_SLO.MK *---
Comment 1 issues@www 2001-06-26 02:46:28 UTC
Created attachment 317 [details]
external/freetype/rtufiles/base_makefile.mk : Patch to fix includes
Comment 2 sander_traveling 2001-07-13 23:12:11 UTC
This is fixed in OO633B
Comment 3 michael.bemmer 2003-03-13 09:38:48 UTC
As mentioned on the qa dev list on March 5th I will close all resolved
<wontfix/duplicate/worksforme/invalid> issues. Please see this posting for
details. First step in IssueZilla is unfortunately to set them to verified.
Comment 4 michael.bemmer 2003-03-13 10:14:31 UTC
As mentioned on the qa dev list on March 5th I will close all resolved
<wontfix/duplicate/worksforme/invalid> issues. Please see this posting for details.